
MOVESCREEN:
    LDA <$61                   ;IS THE PLAYER ALREADY MOVING?
    BNE MOVING                 ;SKIP HERE IF SO

    LDA <FRAMECOUNT            ;ARE WE IN THE CORRECT FRAME TO MOVE?
    AND #$0F
    BNE DONTMOVE               ;IF NOT, SKIP HERE

    JSR READPAD2               ;READ THE DIRECTION PRESSED
    BCC DONTMOVE               ;IF NO DIRECTION PRESSED, SKIP HERE

    JSR MOVEPLAYER             ;DO BG COLLISION DETECTION
    BCS DONTMOVE               ;IF WE CANT MOVE THERE, SKIP HERE

    LDA <$61
    ORA #$04
MOVING:
    JSR JUMPOUT                ;DO A MULTIPLE PATH JUMP BASED ON THE DIRECTION PRESSED
    JSR SCROLLSCREEN           ;SCROLL THE SCREEN IN THE CORRECT DIRECTION

    LDA <FRAMECOUNT
    AND #$0F
    BNE DONTMOVE

    LDY #$00
    JSR DOJUMP2
DONTMOVE:
    RTS

